# 32/64bit spec-file
#
%define name    gnucap
%define version 20060830
%define release %mkrel 2

%define filever 2006-08-30

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A general purpose circuit simulator
Source0:        %{name}-%{filever}.tar.bz2
Patch:          gnucap-2006-08-30-fix-build.patch
License:        GPL
Group:          Development/Other
Url:            http://www.geda.seul.org/tools/gnucap/index.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	readline-devel termcap-devel tetex-latex tetex-dvipdfm

%description
GNUCAP is a general purpose circuit simulator. It performs nonlinear dc and 
transient analyses, Fourier analysis, and ac analysis linearized at an 
operating point. It is fully interactive and command driven. It can also be 
run in batch mode or as a server. The output is produced as it simulates. 
Spice compatible models for the MOSFET (level 1,2,3) and diode are included 
in this release. 

%prep
%setup -q -n %{name}-%{filever}
%patch -p 1

%build

./configure --prefix=$RPM_BUILD_ROOT/%{_prefix}  
%make
make install

%install
rm -rf $RPM_BUILD_ROOT
make install
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
cp doc/gnucap.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
pushd man
make pdf
popd



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/COPYING man/gnucap-man.pdf
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%name

%changelog
* Thu May 02 2013 pinoc <vogtpet at gmail.com> 20060830-2pclos2013
- add MGA patch to have it build
- rebuild on 32/64

* Mon Mar 26 2007 Texstar <texstar@gmail.com> 20060830-1pclos2007
- Build for pclos 2007
